fuzzydl

## Class MaxInstanceQuery

- java.lang.Object
- - fuzzydl.Query
  - - fuzzydl.InstanceQuery
    - - fuzzydl.MaxInstanceQuery

-     public class MaxInstanceQuery
      extends InstanceQuery

  Lowest upper bound of a concept assertion.
  Author:
    Fernando Bobillo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxInstanceQuery(Concept concept, Individual individual)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `preprocess(KnowledgeBase kb)` Performs some preprocessing steps of the query over a fuzzy KB.
    `Solution` | `solve(KnowledgeBase kb)` Solves the query over a fuzzy KB.
    `java.lang.String` | `toString()` Gets the name of the query.

    - ### Methods inherited from class fuzzydl.Query

      `getTotalTime, setInitialTime, setTotalTime`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MaxInstanceQuery

          public MaxInstanceQuery(Concept concept,
                                  Individual individual)
                           throws FuzzyOntologyException

      Throws:
        `FuzzyOntologyException`

  - ### Method Detail

    - #### preprocess

          public void preprocess(KnowledgeBase kb)
                          throws FuzzyOntologyException,
                                 InconsistentOntologyException

      Description copied from class: `Query`
      Performs some preprocessing steps of the query over a fuzzy KB.
      Specified by:
        `preprocess` in class `Query`
      Parameters:
        `kb` - A fuzzy KB.
      Throws:
        `FuzzyOntologyException` - fuzzy ontology exception.
        `InconsistentOntologyException` - Inconsistent ontology.

    - #### solve

          public Solution solve(KnowledgeBase kb)
                         throws FuzzyOntologyException

      Description copied from class: `Query`
      Solves the query over a fuzzy KB.
      Specified by:
        `solve` in class `Query`
      Parameters:
        `kb` - A fuzzy KB.
      Returns:
        An optimal solution to the query.
      Throws:
        `FuzzyOntologyException` - fuzzy ontology exception.

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Query`
      Gets the name of the query.
      Specified by:
        `toString` in class `Query`
      Returns:
        Name of the query.